%define _phplib %{_libdir}/php
%define _extdir %{_phplib}/extensions
%define modname sqlrelay
%define modfullname mod_%{modname}

Summary: php sqlrelay extension
Summary(ko): php sqlrelay 확장
Name: php-%{modname}
Version: 0.46
Release: 2%{?dist}
Epoch: 1
Group: Development/Languages
License: GPL
Source0: %{modfullname}-%{version}.tar.bz2
patch0:  %{modfullname}-annyung-missing-sqlrcur_closeresultset.patch

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires: phpapi sqlrelay-client-runtime-c++ rudiments
BuildRequires: php-devel sqlrelay-client-devel-c++ rudiments-devel

%description
This extension is php extension for sqlrelay binding


%prep
%setup -q -n %{modfullname}-%{version}
%patch0 -p1

%build

/usr/bin/phpize

CFLAGS="${RPM_OPT_FLAGS}"
%{configure} \
%ifarch x86_64
	--with-libdir=lib64
%endif

%{__make} %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/%{modname}.so %{buildroot}%{_extdir}/%{modname}.so

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d/{apache,cli}
for i in apache cli
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php.d/$i/%{modname}.ini <<EOF
extension = %{modname}.so
EOF
done

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/%{modname}.so
%config(noreplace) %{_sysconfdir}/php.d/apache/%{modname}.ini
%config(noreplace) %{_sysconfdir}/php.d/cli/%{modname}.ini

%changelog
* Tue Oct  2 2012 JoungKyun.Kim <http://oops.org> 1:0.46-2%{?dist}
- fixed missing sqlrcur_closeresultset

* Tue Oct  2 2012 JoungKyun.Kim <http://oops.org> 1:0.46-1%{?dist}
- first packaged

